package com.ruoyi.system.domain_shate;

 
import java.time.LocalDateTime;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/7 9:36
 */

public class WaterFactor extends  SysSTEntity
{
    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    private Integer id;

    private  String year;

    private String zone;

    private Double level1;

    private Double level2;

    private Double level3;

    private Double level4;

    private Double level5;

    private  Double max;

    private String imageDate;



    private String productCode1;


    private String productCode2;



    private String createdBy;

    private  LocalDateTime craeteTime;

    @Override
    public String toString() {
        return "WaterFactor{" +
                "id=" + id +
                ", zone='" + zone + '\'' +
                ", level1=" + level1 +
                ", level2=" + level2 +
                ", level3=" + level3 +
                ", level4=" + level4 +
                ", level5=" + level5 +
                ", imageDate=" + imageDate +
                ", productCode1='" + productCode1 + '\'' +
                ", productCode2='" + productCode2 + '\'' +
                ", createdBy='" + createdBy + '\'' +
                ", craeteTime=" + craeteTime +
                '}';
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getZone() {
        return zone;
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public Double getLevel1() {
        return level1;
    }

    public void setLevel1(Double level1) {
        this.level1 = level1;
    }

    public Double getLevel2() {
        return level2;
    }

    public void setLevel2(Double level2) {
        this.level2 = level2;
    }

    public Double getLevel3() {
        return level3;
    }

    public void setLevel3(Double level3) {
        this.level3 = level3;
    }

    public Double getLevel4() {
        return level4;
    }

    public void setLevel4(Double level4) {
        this.level4 = level4;
    }

    public Double getLevel5() {
        return level5;
    }

    public void setLevel5(Double level5) {
        this.level5 = level5;
    }

    public String getImageDate() {
        return imageDate;
    }

    public void setImageDate(String imageDate) {
        this.imageDate = imageDate;
    }

    public String getProductCode1() {
        return productCode1;
    }

    public void setProductCode1(String productCode1) {
        this.productCode1 = productCode1;
    }

    public String getProductCode2() {
        return productCode2;
    }

    public void setProductCode2(String productCode2) {
        this.productCode2 = productCode2;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public LocalDateTime getCraeteTime() {
        return craeteTime;
    }

    public void setCraeteTime(LocalDateTime craeteTime) {
        this.craeteTime = craeteTime;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public Double getMax() {
        return max;
    }

    public void setMax(Double max) {
        this.max = max;
    }
}
